import { createAction } from "./app";
import api from "../modules/api";

export const Types = {
  getVOHNewsRequest: "getVOHNewsRequest",
  getVOHNewsSuccess: "getVOHNewsSuccess",
  getVOHNewsFailed: "getVOHNewsFailed",
  setIdOfCurrentRoute: "setIdOfCurrentRoute",
};

const getVOHNews = () => (dispatch) => {
  dispatch(createAction(Types.getVOHNewsRequest));
  return api.getVOHNews().then((response) => {
    if (response.success) {
      dispatch(
        createAction(Types.getVOHNewsSuccess, { data: response.data })
      );
      return response.data;
    } else {
      dispatch(
        createAction(
          Types.getVOHNewsFailed,
          {},
          "Lấy thông tin từ VOH thất bại"
        )
      );
      return null;
    }
  });
};

const setIdOfCurrentRoute = (_id) => {
  return createAction(Types.setIdOfCurrentRoute, { _id });
}

export const VOHNewsActions = {
  Types,
  getVOHNews,
  setIdOfCurrentRoute,
};
