import { createAction } from "./app";
import { hereMap } from "../modules/here";

export const Types = {
  changeField: "user.change-field",

  searchRequest: "search.request",
  searchFail: "search.fail",
  searchSuccess: "search.success",
};

const changeField = (key = "", value) =>
  createAction(Types.changeField, { key, value });

const search = (queryString) => (dispatch) => {
  dispatch(createAction(Types.searchRequest));
  return hereMap
    .search(queryString)
    .then((data) => {
      const payload = data.items.map((item) => {
        const { address, position } = item;
        const { label } = address;
        const sub = {
          position,
          label,
        };
        return sub;
      });
      dispatch(createAction(Types.searchSuccess, { data: payload }));
      return true;
    })
    .catch((err) => {
      console.log("SEARCH ERROR", err);
      dispatch(createAction(Types.searchFail, {}, err));
      return false;
    });
};

export const hereMapActions = {
  Types,
  search,
  changeField,
};
