import { createAction } from "./app";
import api from "../modules/api";

export const Types = {
  findNearSegmentRequest: "segment.find-near.request",
  findNearSegmentSuccess: "segment.find-near.Success",
  findNearSegmentFail: "segment.find-near.Fail",
};

const findNearSegments = (query) => (dispatch) => {
  dispatch(createAction(Types.findNearSegmentRequest));
  return api.findNearSegments(query).then((response) => {
    if (response.success) {
      dispatch(
        createAction(Types.findNearSegmentSuccess, { data: response.data })
      );
      return response.data;
    } else {
      dispatch(
        createAction(
          Types.findNearSegmentFail,
          {},
          "Lấy đoạn đường gần đây thất bại"
        )
      );
      return null;
    }
  });
};

export const segmentActions = {
  Types,
  findNearSegments,
};
