import { createAction } from "./app";
// import _ from 'lodash';
import api from "../modules/api";

export const Types = {
  changeField: "user.change-field",
  updateUser: "user.update-user",

  getUserInfoRequest: "get-user-info-request",
  getUserInfoFail: "get-user-info-fail",
  getUserInfoSuccess: "get-user-info-success",
};

const changeField = (key = "", value) =>
  createAction(Types.changeField, { key, value });

const updateUser = (user) => createAction(Types.updateUser, user);

const getUserInfo = () => (dispatch) => {
  dispatch(createAction(Types.getUserInfoRequest));
  return api.getUserInfo().then((response) => {
    if (response.success) {
      dispatch(createAction(Types.getUserInfoSuccess, response.data));
      return true;
    } else {
      dispatch(
        createAction(
          Types.getUserInfoFail,
          {},
          "lấy thông tin người dùng thất bại"
        )
      );
      return false;
    }
  });
};

export default {
  Types,
  changeField,
  updateUser,
  getUserInfo,
};

export const userActions = {
  changeField,
  updateUser,
  getUserInfo,
};
