import { createAction } from './app';

import api from '../modules/api';

export const Types = {
  getWeatherInfoRequest: 'get-weather-info-request',
  getWeatherInfoFail: 'get-weather-info-fail',
  getWeatherInfoSuccess: 'get-weather-info-success',
};


const getWeatherInfo = () => (dispatch) => {
      dispatch(createAction(Types.getWeatherInfoRequest));
      return api.getWeatherInfo().then((response) => {
        if (response.success) {
          dispatch(createAction(Types.getWeatherInfoSuccess, {data: response.data}));
          console.log(response.data);
          return response.data;
        } else {
          dispatch(
            createAction(
              Types.getWeatherInfoFail,
              { code: response.errors && response.errors.code },
              'Weather info request fails'
            )
          );
          return null;
        }
      });
    };


export const weatherAction = {
  Types,
  getWeatherInfo,
};
