import React from "react";
import { Map, TileLayer } from "react-leaflet";
import config from "../../modules/config";
import "./style.css";

export default class MapChange extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
    this.mapRef = React.createRef();
  }

  onChange = () => {
    let type = "";
    const { mapType } = this.props;
    if (mapType === "satellite") {
      type = "basic-map";
    } else {
      type = "satellite";
    }
    if (this.props.onChange) {
      this.props.onChange(type);
    }
  };

  render() {
    const { center, zoom, mapType } = this.props;
    let tileUrl = config.SATELLITE_URL;
    if (mapType === "satellite") {
      tileUrl = config.MAP_URL;
    }
    return (
      <div
        className="map-change-contain box-shadow map-change-border"
        onClick={this.onChange}
      >
        <Map
          ref={this.mapRef}
          center={center}
          zoom={zoom || 17}
          className="map-change map-change-border"
          zoomControl={false}
        >
          <TileLayer url={tileUrl} detectRetina={true} />
        </Map>
      </div>
    );
  }
}
