import React, { useEffect } from "react";
// import PropTypes from "prop-types";
import { useDispatch, useSelector } from "react-redux";
import { Spin } from 'antd';
import { Grid } from '@material-ui/core';

import { VOHNewsActions } from "../../../actions/VOHNews";
import VOHNewsItem from "./VOHNewsItem";
import "./VOHNews.style.css";

const VOHNews = (props) => {
  const dispatch = useDispatch();
  const listNews = useSelector((state) => state.vohNews.listNews) || [];
  const loading = useSelector((state) => state.vohNews.loading);

  useEffect(() => {
    dispatch(VOHNewsActions.getVOHNews());
  }, [dispatch]);

  return (
    <div className="voh-news-wrapper">
      <h6>Thông tin về tình trạng giao thông từ trung tâm VOH</h6>
      {loading ? (
        <Grid container justifyContent="center" style={{ marginTop: '16px' }}>
          <Grid item>
            <Spin></Spin>
          </Grid>
        </Grid>
      ) : listNews.map((item, index) => (
        <VOHNewsItem key={index} data={item} />
      ))}
    </div>
  );
};

VOHNews.propTypes = {};

export default VOHNews;
