import React from 'react'
import PropTypes from 'prop-types'
import DeviceHubIcon from '@material-ui/icons/DeviceHub';
import AccessAlarmIcon from '@material-ui/icons/AccessAlarm';
import DirectionsBusIcon from '@material-ui/icons/DirectionsBus';
import { Grid } from '@material-ui/core';

import './VOHNews.style.css';

const VOHNewsItem = props => {
  const { data } = props;
  return (
    <div className="voh-news-item-wrapper">
      <Grid container alignItems="center">
        <Grid item xs={1}>
          <DeviceHubIcon style={{ color: 'rgb(26, 115, 232)'}} />
        </Grid>
        <Grid item xs={11}>
          <p>{data.address.name}</p>
          {data.reason !== 'Chưa rõ nguyên nhân' && (
            <p><span className="voh-news-item-subtitle">Nguyên nhân: </span>{data.reason}</p>
          )}
          <Grid container>
            <Grid item xs={6}>
              <Grid container alignItems="center">
                <Grid item xs={2}>
                  <DirectionsBusIcon style={{ fontSize: '20px', color: 'rgb(28 92 158)'}} />
                </Grid>
                <Grid item xs={10}>{data.speed} km/h</Grid>
              </Grid>
            </Grid>
            <Grid item xs={6}>
              <Grid container alignItems="center">
                <Grid item xs={2}>
                  <AccessAlarmIcon style={{ fontSize: '20px', color: 'rgb(28 92 158)'}} />
                </Grid>
                <Grid item xs={10}>{(new Date(data.created_at)).toLocaleTimeString()}</Grid>
              </Grid>
            </Grid>
          </Grid>
        </Grid>
      </Grid>
    </div>
  )
}

VOHNewsItem.propTypes = {
  data: PropTypes.object,
}

VOHNewsItem.defaultProps = {
  data: {},
}

export default VOHNewsItem
