import React from "react";
import { Row, Col } from "antd";
import { FaWindowClose } from "react-icons/fa";
import PropTypes from "prop-types";

export class VehiclePicker extends React.Component {
  onCloseRedirect = () => {
    if (this.props.onCloseRedirect) {
      this.props.onCloseRedirect();
    }
  };

  onSelect = (data, index) => {
    if (this.props.onSelect) {
      this.props.onSelect(data, index);
    }
  };
  render() {
    const { data, activeIndex } = this.props;
    return (
      <Row
        style={{ display: "flex", minHeight: "30px" }}
        align="middle"
        className="mb-2"
      >
        {/* <Col span={6}>
          <div className="driver-device-icon" disabled={true}>
            <FaMotorcycle className="vehicle-icon" />
          </div>
        </Col>
        <Col span={6}>
          <div className="driver-device-icon" disabled={true}>
            <FaWalking className="vehicle-icon" />
          </div>
        </Col>
        <Col span={6}></Col>
        <Col span={6} style={{ position: "relative" }}>
          <div
            className="driver-device-icon"
            style={{
              backgroundColor: "#1388db",
              position: "absolute",
              right: "0px",
            }}
          >
            <FaWindowClose
              className="vehicle-icon"
              onClick={this.onCloseRedirect}
            />
          </div>
        </Col> */}
        {data.map((item, index) => {
          return (
            <Col span={6} key={index}>
              <div
                onClick={() => this.onSelect(item, index)}
                className={`driver-device-icon ${
                  index === activeIndex && "vehicle-active"
                }`}
              >
                {item.text}
              </div>
            </Col>
          );
        })}
        <div
          style={{
            width: "80%",
            textAlign: "center",
            margin: "auto",
            display: 'inline-block',
            color: 'white',
            fontWeight: 'bold',
          }} 
          className="pt-1"
        >
          Tìm đường
        </div>
        <div
          className="driver-device-icon"
          style={{
            backgroundColor: "#1388db",
            position: "absolute",
            right: "0px",
          }}
        >
          <FaWindowClose
            className="vehicle-icon"
            onClick={() => this.onSelect("close", data.length + 1)}
          />
        </div>
        {/* </Col> */}
      </Row>
    );
  }
}
VehiclePicker.propTypes = {
  data: PropTypes.arrayOf(
    PropTypes.shape({ text: PropTypes.element, value: PropTypes.any })
  ),
};
