import React from "react";
import "./fragments-style.css";
import { FaPlus, FaMinus } from "react-icons/fa";
import PropTypes from "prop-types";

export class ZoomControlCustom extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  static propTypes = {
    onChange: PropTypes.func,
  };

  /**
   *
   * @param {'plus' | 'minus'} value
   */
  onChange = (value) => () => {
    if (this.props.onChange) {
      this.props.onChange(value);
    }
  };

  render() {
    return (
      <div className="zoom-control-custom">
        <div onClick={this.onChange("plus")} className={`zoom-control-item`}>
          <FaPlus style={{ margin: "auto" }} />
        </div>
        <div onClick={this.onChange("minus")} className="zoom-control-item">
          <FaMinus style={{ margin: "auto" }} />
        </div>
      </div>
    );
  }
}
