import React, { Component } from "react";
import { ThemeContext } from "./AppContext";

// import NavbarPage from "./sections/Navbar";
import HomeMap from "../map/HomeMap";
import FooterPage from "./sections/Footer";
import SpeedNote from "../map/fragments/SpeedNote";
import WeatherPopup from "../map/fragments/WeatherPopup";
// import Sidebar from "./sections/Sidebar";

export default class HomePage extends Component {
  static contextType = ThemeContext;
  constructor(props) {
    super(props);
    this.rem = 16;
    this.state = {
      mapHeight: window.innerHeight - this.rem * 3,
    };
  }

  render() {
    return (
      <div>
        <section className="main-content">
          <SpeedNote />
          <HomeMap height={this.state.mapHeight} />
          <WeatherPopup />
        </section>
        <section className="footer-page">
          <FooterPage />
        </section>
      </div>
    );
  }
}
