import React from "react";
import {
  Navbar,
  NavbarBrand,
  NavbarNav,
  NavItem,
  NavbarToggler,
  Collapse,
  NavLink,
  Fa,
} from "mdbreact";
// import UserAuth from '../../../api/authen';
import { connect } from "react-redux";
import authAction from "../../../actions/auth";
import userAction from "../../../actions/user";
class NavbarPage extends React.Component {
  constructor(props) {
    super();
    // this.userAuth = new UserAuth();
    this.state = {
      collapseID: "",
      // loggedin  : this.userAuth.isLoggedin(),
      menu: [],
    };
  }

  componentDidMount() {
    this.props.getUserInfo();
  }

  logout = () => {
    // this.userAuth.logout();
    // window.location.reload();
  };

  showLoggedin = () => {
    if (this.props.isLogin) {
      const user = this.props.user.user;
      if (!user) return <div></div>;
      return (
        <>
          <NavItem>
            <NavLink className="waves-effect waves-light" to="/user">
              <span>Hi, {user.username}</span>
            </NavLink>
          </NavItem>
          <NavItem>
            <NavLink
              className="waves-effect waves-light"
              to="/"
              onClick={this.props.logOut}
            >
              <Fa className="icon-menu" icon="power-off" />
              <span> Đăng xuất</span>
            </NavLink>
          </NavItem>
        </>
      );
    } else {
      return (
        <>
          <NavItem>
            <NavLink className="waves-effect waves-light" to="/login">
              <Fa className="icon-menu" icon="user" />
              <span> Đăng nhập</span>
            </NavLink>
          </NavItem>
          <NavItem>
            <NavLink className="waves-effect waves-light" to="/signup">
              <Fa className="icon-menu" icon="user-plus" />
              <span> Đăng ký</span>
            </NavLink>
          </NavItem>
        </>
      );
    }
  };

  toggleCollapse = (collapseID) => () =>
    this.setState((prevState) => ({
      collapseID: prevState.collapseID !== collapseID ? collapseID : "",
    }));

  render() {
    return (
      <Navbar
        style={{ backgroundColor: "#1388db !important" }}
        color="cyan darken-2"
        dark
        expand="md"
        fixed="top"
      >
        <NavbarBrand>
          <NavLink className="waves-effect waves-light" to="/">
            <strong className="white-text mr-5">UTraffic</strong>
          </NavLink>
        </NavbarBrand>

        <NavbarToggler onClick={this.toggleCollapse("navbarCollapse3")} />

        <Collapse id="navbarCollapse3" isOpen={this.state.collapseID} navbar>
          <NavbarNav right>
            <NavItem>
              <NavLink className="waves-effect waves-light" to="/user">
                <span>
                  <Fa className="icon-menu" icon="exclamation-triangle" /> Cảnh
                  báo giao thông
                </span>
              </NavLink>
            </NavItem>
            {this.showLoggedin()}
          </NavbarNav>
        </Collapse>
      </Navbar>
    );
  }
}

const mapStateToProps = (state) => ({
  isLogin: state.app.isLogin,
  user: state.user.userInfo,
});

const mapDispatchToProps = {
  getUserInfo: userAction.getUserInfo,
  logOut: authAction.logout,
};

export default connect(mapStateToProps, mapDispatchToProps)(NavbarPage);
