import { createBrowserHistory } from "history";
import { createStore, compose, applyMiddleware } from "redux";
import reduxThunk from "redux-thunk";
import { routerMiddleware } from "connected-react-router";
import createReducer from "./reducers";

export const history = createBrowserHistory();

let instance = null;

export default function configureStore(preloadedState) {
  const store = createStore(
    createReducer(history), // root reducer with router state
    preloadedState,
    compose(
      applyMiddleware(
        routerMiddleware(history), // for dispatching history actions
        reduxThunk
      )
    )
  );
  if (!instance) {
    instance = store;
  }

  return instance;
}
