import { isExisted } from "./common";

export function dataSignUpMultipartForm(data) {
    /* Convert formik values to use to sign up */
    var formdata = new FormData();

    formdata.append('username', data.username);
    formdata.append('password', data.password);
    if (isExisted(data.name)) {
        formdata.append('name', data.name);
    }
    if (isExisted(data.phone)) {
        formdata.append('phone', data.phone);
    }
    if (isExisted(data.email)) {
        formdata.append('email', data.email);
    }
    if (isExisted(data.file)) {
        formdata.append('file', data.file[0]);
    }

    return formdata;
}

export function dataServiceLoginMultipartForm(data, loginType) {
    /* Convert formik values to use to login by google, facebook */
    var formdata = new FormData();
    // let data = {
    //     username:'',
    //     password:''
    // }

    if (loginType === 1) {
        formdata.append('userId', data.googleId);
        formdata.append('token', data.tokenId);
        formdata.append('loginType', loginType);
    } else {
        formdata.append('userId', data.userID);
        // formdata.append('facebook_id', data.userID);
        // formdata.append()
        formdata.append('token', data.accessToken);
        formdata.append('loginType', loginType);
    }
    
    return formdata;
}

export function dataLoginMultipartForm(data) {
    /* Convert formik values to use to login */
    // var formdata = new FormData();

    // formdata.append('username', data.username);
    // formdata.append('password', data.password);
    console.log('DATA IN LOGIN', data);

    return data;
}

export function dataReportMultipartForm(data) {
    /* Convert formik values to use to report traffic status */
    var formdata = new FormData();

    formdata.append('startLat', data.start.lat);
    formdata.append('startLng', data.start.lng);
    formdata.append('endLat', data.end.lat);
    formdata.append('endLng', data.end.lng);
    formdata.append('velocity', data.velocity);

    if (isExisted(data.description)) {
        formdata.append('description', data.description);
    }
    if (isExisted(data.files)) {
        formdata.append('files', data.files);
    }
    if (isExisted(data.causeId)) {
        formdata.append('causeId', data.causeId);
    }

    return formdata;
}