import { isEmptyOrNull } from "./common";

export function updateGeoTraffic(data, index) {
  // console.log("DATA", index, data);
  /* Convert traffic status got from api to display on map */
  const startTime = Date.now();
  var geoTraffic = {
    type: "FeatureCollection",
    features: [],
  };

  if (isEmptyOrNull(data)) {
    return geoTraffic;
  }

  for (var i = 0; i < data.length; i++) {
    geoTraffic.features.push({
      type: "Feature",
      properties: {
        v: data[i].velocity,
        index: i,
        d: "Description",
        c: "Accuracy",
        source: data[i].source,
      },
      geometry: data[i].polyline,
    });
  }
  console.log("Update geo in", Date.now() - startTime);
  return geoTraffic;
}

export function updateRedirectTraffic(dataList) {
  var geoTraffic = {
    // type: "PointCollection",
    type: "Feature",
    features: [],
  };

  if (isEmptyOrNull(dataList)) {
    return geoTraffic;
  }

  for (var i = 0; i < dataList.length; i++) {
    const item = dataList[i];
    geoTraffic.features.push(updateOneSegmentDirect(item));
  }

  return geoTraffic;
}

export function updateOneSegmentDirect(data) {
  let properties = {};
  let coordinates = [];
  if (data) {
    const { coordinates: dataCoords, ...other } = data;
    // element;
    properties = {
      ...other,
    };
    coordinates = dataCoords;
  }
  return {
    type: "Feature",
    properties,
    geometry: {
      type: "LineString",
      coordinates,
    },
  };
}
