function numberFormat(num) {
    return num < 10 ? "0" + num : num;
}

export function dateFormat(date) {
    /* Format datetime to hh:mm DD/MM/YY */
    date = new Date(date);
    let year = date.getFullYear();
    let month = date.getMonth();
    let day = date.getDate();
    let hour = date.getHours();
    let minute = date.getMinutes();
    return numberFormat(hour) + ":" + numberFormat(minute) + " " + numberFormat(day) + "/" + numberFormat(month) + "/" + year;
}

export function timeToFrame(hour, minute, frame_unit=15) {
    /* Default of frame_unit is 15min */
    hour += minute/parseFloat(60);
    return Math.ceil(hour*60/frame_unit);
}

export function timetoPeakedTime(hour) {
    if (
        (hour > 6 && hour < 8) ||
        (hour > 11 && hour < 14) ||
        (hour > 16 && hour < 19)
    ) {
        return 1;
    }
    return 0;
}

export function dayToWeekend(day) {
    return (day === 5 || day === 6) ? 1 : 0;
}