import request from "request";

const apiKey = "x7baztljil7z6LqHGkeoxoKU_FpllTZtUeNwlB_BdUk";
const url = `https://discover.search.hereapi.com/v1/discover?at=10.7725104,106.6575988&limit=5&apikey=${apiKey}`;

/**
 *
 * @param {string} searchString
 * @returns {Promise<{items:HereMapSearchResult[]}>}
 */
async function search(searchString) {
  return new Promise((resolve, reject) => {
    request(url + "&q=" + searchString, (error, result) => {
      if (error) {
        reject(error);
      } else {
        console.log("result", result);
        const body = JSON.parse(result.body);
        resolve(body);
      }
    });
  });
}

export const hereMap = {
  search,
};

/**
 * @typedef HereMapSearchResult
 * @type {object}
 * @property {HereMapAddress} address
 * @property {HereMapPosition} position
 */

/**
 * @typedef HereMapAddress
 * @type {object}
 * @property {string} city
 * @property {string} district
 * @property {string} label
 * @property {string} country
 * @property {string} street
 */

/**
 * @typedef HereMapPosition
 * @type {object}
 * @property {number} lat
 * @property {number} lng
 */
