import { Types } from "../../actions/auth";
import initialState from "./initial-state";
export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.resetAll:
      return initialState;

    case Types.changeField:
      return state.setIn(payload.key.split("."), payload.value);

    case Types.registerRequest:
      return state.set("isFetching", true).set("message", null);
    case Types.registerSuccess:
      return state.set("isFetching", false);
    case Types.registerFailure:
      return state.set("isFetching", false).set("message", message);

    case Types.loginRequest:
      return state.set("isFetching", true).set("message", null);
    case Types.loginSuccess:
      return state.set("isFetching", false);
    case Types.loginFailure:
      return state.set("isFetching", false).set("message", message);

    default:
      return state;
  }
};
