import { Types } from "../../actions/here-map";
import initialState from "./initial-state";
export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.changeField:
      return state.setIn(payload.key.split("."), payload.value);
    case Types.searchRequest: {
      return state.set("isFetching", true).set("message", null);
    }
    case Types.searchSuccess: {
      return state.set("isFetching", false).set("data", payload.data);
    }
    case Types.searchFail: {
      return state.set("isFetching", false).set("message", message);
    }
    default:
      return state;
  }
};
