import { Types } from "../../actions/redirect";
import initialState from "./initial-state";

export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.RedirectRequest:
      return state.set("isFetching", true).set("message", null);
    case Types.RedirectSuccess:
      return state
        .set("isFetching", false)
        .set("message", null)
        .set("data", payload);
    case Types.RedirectFail:
      return state.set("isFetching", false).set("message", message);

    case Types.DirectReportRequest:
      return state.set("isFetchingReport", true).set("messageReport", null);
    case Types.DirectReportSuccess:
      return state
      .set("isFetchingReport", false)
      .set("messageReport", null)
      .set("dataReport", payload);
    case Types.DirectReportFail:
      return state.set("isFetchingReport", false).set("message", message);

    case Types.setState: {
      for (const key in payload) {
        console.log("KEY IN SET STATE", key);
        state = state.setIn(key.split("."), payload[key]);
      }
      return state;
    }
    default:
      return state;
  }
};
