import { Types } from "../../actions/segment";
import initialState from "./initial-state";

export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.findNearSegmentRequest:
      return state
        .setIn(["segmentFindNear", "isFetching"], true)
        .setIn(["segmentFindNear", "message"], null);

    case Types.findNearSegmentSuccess:
      return state
        .setIn(["segmentFindNear", "isFetching"], false)
        .setIn(["segmentFindNear", "data"], payload.data);

    case Types.findNearSegmentFail:
      return state
        .setIn(["segmentFindNear", "isFetching"], false)
        .setIn(["segmentFindNear", "message"], message);
    default:
      return state;
  }
};
