import { Types } from "../../actions/traffic-status";
import initialState from "./initial-state";

export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.getTrafficStatusRequest:
      return state
        .setIn(["trafficStatus", "isFetching"], true)
        .setIn(["trafficStatus", "message"], null);
    case Types.getTrafficStatusSuccess:
      return state
        .setIn(["trafficStatus", "isFetching"], false)
        .setIn(["trafficStatus", "message"], null)
        .setIn(["trafficStatus", "data"], payload);
    case Types.getTrafficStatusFail: {
      if (payload.code !== 20) {
        state = state.setIn(["trafficStatus", "isFetching"], false);
      }
      return state.setIn(["trafficStatus", "message"], message);
    }
    // .setIn(['trafficStatus', 'data'], payload);
    case Types.postReportRequest:
      return state.set("isFetching", true).set("message", null);
    case Types.postReportSuccess:
      return state.set("isFetching", false);
    case Types.postReportFail:
      return state.set("isFetching", false).set("message", message);

    case Types.cleanState:
      return state.setIn(
        payload.stateName.split("."),
        initialState[payload.stateName]
      );
    case Types.changeField: {
      for (const key in payload.state) {
        state = state.setIn(key.split("."), payload.state[key]);
      }
      return state;
    }

    default:
      return state;
  }
};
