import { Types } from "../../actions/user";
import initialState from "./initial-state";
export default (state = initialState, action) => {
  const payload = action.payload;
  const message = action.message;
  switch (action.type) {
    case Types.getUserInfoRequest:
      return state
        .setIn(["userInfo", "isFetching"], true)
        .setIn(["userInfo", "message"], null);
    case Types.getUserInfoSuccess:
      return state
        .setIn(["userInfo", "isFetching"], false)
        .setIn(["userInfo", "message"], null)
        .setIn(["userInfo", "user"], payload);
    case Types.getUserInfoFail:
      return state
        .setIn(["userInfo", "isFetching"], false)
        .setIn(["userInfo", "message"], message);

    case Types.updateUser:
      return state.setIn(["userInfo", "user"], payload);

    default:
      return state;
  }
};
