import { Types } from "../../actions/VOHNews";
const initialState = {
  listNews: [],
  loading: false,
  currentRouteId: '',
}

export default (state = initialState, action) => {
  const payload = action.payload;
  switch (action.type) {
    case Types.getVOHNewsRequest:
      return {...state, loading: true }

    case Types.getVOHNewsSuccess:
      return {
        ...state,
        listNews: payload.data,
        loading: false,
      }
    case Types.getVOHNewsFailed:
      return {...state, loading: false }
    case Types.setIdOfCurrentRoute:
      return {...state, currentRouteId: payload._id }

    default:
      return state;
  }
};
