import { Types } from "../../actions/weather";

const initialState = {
  weatherData: {},
  loading: false,
}

export default (state = initialState, action) => {
  const payload = action.payload;

  switch (action.type) {
    case Types.getWeatherInfoRequest:
      return {...state, loading: true }
    
    case Types.getWeatherInfoSuccess:
      return {...state, loading: false, weatherData: payload.data}
    
    case Types.getWeatherInfoFail:
      return {...state, loading: false }

    default:
      return state;
  }
};
